import { Server } from "./server";
import { IApiConfig } from "./types";
import { CookieVersionMatcher } from "./cookie-version-matcher";
export declare class Api {
    config: IApiConfig;
    versionMatcher?: CookieVersionMatcher;
    private handler;
    constructor(config: IApiConfig);
    /**
     * Registers API endpoints /{API_PREFIX}/{APINAME}
     * @param {Server} app
     */
    registerEndpoints(app: Server): void;
    /**
     * Resolves version handlers based on configuration
     */
    private prepareHandlers;
    private detectVersion;
}
