"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * DI Inversifiy
 */
require("reflect-metadata");
const server_1 = require("./server");
const inversify_1 = require("inversify");
const logger_1 = require("./logger");
const client_1 = require("./client");
const dnscache_1 = __importDefault(require("dnscache"));
exports.TYPES = {
    Server: Symbol.for('Server'),
    Logger: Symbol.for('Logger'),
    Client: Symbol.for('Client')
};
const container = new inversify_1.Container();
exports.container = container;
container.bind(exports.TYPES.Logger).to(logger_1.Logger);
container.bind(exports.TYPES.Server).to(server_1.Server);
container.bind(exports.TYPES.Client).to(client_1.HttpClient);
dnscache_1.default({
    enable: true,
    ttl: 100000,
    cachesize: 1000
});
//# sourceMappingURL=base.js.map