/// <reference types="node" />
import http from "http";
import https from "https";
import request from "request";
export interface IRequestOptions {
    timeout: number;
    method: string;
}
export declare const httpAgent: http.Agent;
export declare const httpsAgent: https.Agent;
export declare class HttpClient {
    private httpAgent;
    private httpsAgent;
    private static httpClient;
    private static httpsClient;
    private defaultOptions;
    constructor();
    init(clientName: string, options?: request.CoreOptions): void;
    get(requestUrl: string, fragmentName: string, options?: request.CoreOptions): Promise<{
        response: request.Response;
        data: any;
    }>;
    post(requestUrl: string, fragmentName: string, data?: object, options?: request.CoreOptions): Promise<{
        response: request.Response;
        data: any;
    }>;
}
