"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require('path');
const loadConfigurationFromEnv = (name, isObject = false) => {
    const environmentVariable = process.env[name];
    if (isObject) {
        return environmentVariable ? JSON.parse(environmentVariable) : undefined;
    }
    else {
        return environmentVariable;
    }
};
exports.DEFAULT_POLLING_INTERVAL = +loadConfigurationFromEnv('DEFAULT_POLLING_INTERVAL') || 10000;
exports.CONTENT_NOT_FOUND_ERROR = loadConfigurationFromEnv('CONTENT_NOT_FOUND_ERROR') || `<script>console.log('Fragment Part does not exists')</script>`;
exports.DEFAULT_CONTENT_TIMEOUT = +loadConfigurationFromEnv('DEFAULT_CONTENT_TIMEOUT') || 2800;
exports.GLOBAL_REQUEST_TIMEOUT = +loadConfigurationFromEnv('GLOBAL_REQUEST_TIMEOUT') || 3100;
exports.RENDER_MODE_QUERY_NAME = loadConfigurationFromEnv('RENDER_MODE_QUERY_NAME') || '__renderMode';
exports.PREVIEW_PARTIAL_QUERY_NAME = loadConfigurationFromEnv('PREVIEW_PARTIAL_QUERY_NAME') || '__partial';
exports.VERSION_QUERY_NAME = loadConfigurationFromEnv('VERSION_QUERY_NAME') || '__version';
exports.API_ROUTE_PREFIX = loadConfigurationFromEnv('API_ROUTE_PREFIX') || 'api';
exports.GATEWAY_PREPERATION_CHECK_INTERVAL = +loadConfigurationFromEnv('GATEWAY_PREPERATION_CHECK_INTERVAL') || 200;
exports.CHEERIO_CONFIGURATION = loadConfigurationFromEnv('CHEERIO_CONFIGURATION', true) || {
    normalizeWhitespace: true,
    recognizeSelfClosing: true,
    xmlMode: true,
    lowerCaseAttributeNames: true,
    decodeEntities: false
};
exports.TEMPLATE_FRAGMENT_TAG_NAME = loadConfigurationFromEnv('TEMPLATE_FRAGMENT_TAG_NAME') || 'fragment';
exports.DEFAULT_GZIP_EXTENSIONS = loadConfigurationFromEnv('DEFAULT_GZIP_EXTENSIONS', true) || ['.js', '.css'];
exports.DEBUG_QUERY_NAME = loadConfigurationFromEnv('DEBUG_QUERY_NAME') || '__debug';
exports.PUZZLE_DEBUGGER_LINK = loadConfigurationFromEnv('PUZZLE_DEBUGGER_LINK') || '/static/puzzle_debug.js';
exports.DEBUG_INFORMATION = loadConfigurationFromEnv('DEBUG_INFORMATION') || process.env.NODE_ENV !== 'production' || false;
exports.NO_COMPRESS_QUERY_NAME = loadConfigurationFromEnv('NO_COMPRESS_QUERY_NAME') || '__noCompress';
exports.NON_SELF_CLOSING_TAGS = ['div', 'span', 'p'];
exports.PUZZLE_MAX_SOCKETS = +loadConfigurationFromEnv('MAX_SOCKETS') || Infinity;
exports.KEEP_ALIVE_MSECS = +loadConfigurationFromEnv('KEEP_ALIVE_MSECS') || 1000;
exports.USE_HELMET = loadConfigurationFromEnv('USE_HELMET') || false;
exports.USE_MORGAN = loadConfigurationFromEnv('USE_MORGAN') || false;
exports.BROTLI = loadConfigurationFromEnv('BROTLI') || false;
exports.TEMP_FOLDER = path.join(process.cwd(), '/~temp');
exports.SATISFY_COMPILE_AMOUNT = 5;
//# sourceMappingURL=config.js.map