import { IGatewayBFFConfiguration, IStorefrontConfig } from "./types";
import { INJECTABLE } from "./enums";
export declare class Configurator {
    configuration: IGatewayBFFConfiguration | IStorefrontConfig;
    protected dependencies: {
        [name: string]: any;
    };
    register(name: string, type: INJECTABLE, dependency: any): void;
    get(name: string, type: INJECTABLE): any;
    /**
     * Config json
     * @param {IStorefrontConfig | IGatewayBFFConfiguration} configuration
     */
    config(configuration: IStorefrontConfig | IGatewayBFFConfiguration): void;
    protected validate(configuration: IStorefrontConfig | IGatewayBFFConfiguration): void;
    protected injectDependencies(configuration: IStorefrontConfig | IGatewayBFFConfiguration): void;
}
export declare class StorefrontConfigurator extends Configurator {
    configuration: IStorefrontConfig;
    protected validate(configuration: IStorefrontConfig): void;
    protected injectDependencies(configuration: IStorefrontConfig): void;
}
export declare class GatewayConfigurator extends Configurator {
    configuration: IGatewayBFFConfiguration;
    protected validate(configuration: IGatewayBFFConfiguration): void;
    protected injectDependencies(configuration: IGatewayBFFConfiguration): void;
    private injectApiHandlers;
    private prepareFragmentConfiguration;
    private injectCustomDependencies;
}
