"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var EVENTS;
(function (EVENTS) {
    EVENTS["GATEWAY_UPDATED"] = "GATEWAY_UPDATED";
    EVENTS["GATEWAY_READY"] = "GATEWAY_READY";
    EVENTS["ADD_ROUTE"] = "ADD_ROUTE";
})(EVENTS = exports.EVENTS || (exports.EVENTS = {}));
var FRAGMENT_RENDER_MODES;
(function (FRAGMENT_RENDER_MODES) {
    FRAGMENT_RENDER_MODES["PREVIEW"] = "preview";
    FRAGMENT_RENDER_MODES["STREAM"] = "stream";
})(FRAGMENT_RENDER_MODES = exports.FRAGMENT_RENDER_MODES || (exports.FRAGMENT_RENDER_MODES = {}));
var RESOURCE_INJECT_TYPE;
(function (RESOURCE_INJECT_TYPE) {
    RESOURCE_INJECT_TYPE[RESOURCE_INJECT_TYPE["INLINE"] = 0] = "INLINE";
    RESOURCE_INJECT_TYPE[RESOURCE_INJECT_TYPE["EXTERNAL"] = 1] = "EXTERNAL";
})(RESOURCE_INJECT_TYPE = exports.RESOURCE_INJECT_TYPE || (exports.RESOURCE_INJECT_TYPE = {}));
/**
 * Will be changed with PuzzleLib asset injections
 */
var RESOURCE_LOCATION;
(function (RESOURCE_LOCATION) {
    RESOURCE_LOCATION[RESOURCE_LOCATION["HEAD"] = 0] = "HEAD";
    RESOURCE_LOCATION[RESOURCE_LOCATION["BODY_START"] = 1] = "BODY_START";
    RESOURCE_LOCATION[RESOURCE_LOCATION["BODY_END"] = 2] = "BODY_END";
    RESOURCE_LOCATION[RESOURCE_LOCATION["CONTENT_START"] = 3] = "CONTENT_START";
    RESOURCE_LOCATION[RESOURCE_LOCATION["CONTENT_END"] = 4] = "CONTENT_END";
})(RESOURCE_LOCATION = exports.RESOURCE_LOCATION || (exports.RESOURCE_LOCATION = {}));
var REPLACE_ITEM_TYPE;
(function (REPLACE_ITEM_TYPE) {
    REPLACE_ITEM_TYPE[REPLACE_ITEM_TYPE["ASSET"] = 0] = "ASSET";
    REPLACE_ITEM_TYPE[REPLACE_ITEM_TYPE["CONTENT"] = 1] = "CONTENT";
    REPLACE_ITEM_TYPE[REPLACE_ITEM_TYPE["PLACEHOLDER"] = 2] = "PLACEHOLDER";
    REPLACE_ITEM_TYPE[REPLACE_ITEM_TYPE["CHUNKED_CONTENT"] = 3] = "CHUNKED_CONTENT";
    REPLACE_ITEM_TYPE[REPLACE_ITEM_TYPE["MODEL_SCRIPT"] = 4] = "MODEL_SCRIPT";
})(REPLACE_ITEM_TYPE = exports.REPLACE_ITEM_TYPE || (exports.REPLACE_ITEM_TYPE = {}));
var HTTP_METHODS;
(function (HTTP_METHODS) {
    HTTP_METHODS["GET"] = "get";
    HTTP_METHODS["POST"] = "post";
    HTTP_METHODS["PUT"] = "put";
    HTTP_METHODS["DELETE"] = "delete";
    HTTP_METHODS["PATCH"] = "patch";
})(HTTP_METHODS = exports.HTTP_METHODS || (exports.HTTP_METHODS = {}));
var RESOURCE_JS_EXECUTE_TYPE;
(function (RESOURCE_JS_EXECUTE_TYPE) {
    RESOURCE_JS_EXECUTE_TYPE["ASYNC"] = "async";
    RESOURCE_JS_EXECUTE_TYPE["DEFER"] = "defer";
    RESOURCE_JS_EXECUTE_TYPE["SYNC"] = "";
})(RESOURCE_JS_EXECUTE_TYPE = exports.RESOURCE_JS_EXECUTE_TYPE || (exports.RESOURCE_JS_EXECUTE_TYPE = {}));
/**
 * PuzzleLib will replace this feature.
 * @deprecated
 * @type {string}
 */
exports.CONTENT_REPLACE_SCRIPT = `<script>function $p(p,c){var z = document.querySelector(c),r = z.innerHTML;z.parentNode.removeChild(z);document.querySelector(p).innerHTML=r}</script>`;
exports.PUZZLE_LIB_SCRIPT = `<script puzzle-dependency="puzzle-lib" type="text/javascript">{puzzleLib} </script>`;
exports.PUZZLE_DEBUG_LIB_SCRIPT = `<script puzzle-dependency="puzzle-lib" type="text/javascript">{puzzleDebugLib} </script>`;
exports.DEFAULT_MAIN_PARTIAL = `main`;
exports.HEALTHCHECK_PATHS = ['/healthcheck', '/liveness', '/readiness'];
var HTTP_STATUS_CODE;
(function (HTTP_STATUS_CODE) {
    HTTP_STATUS_CODE[HTTP_STATUS_CODE["OK"] = 200] = "OK";
    HTTP_STATUS_CODE[HTTP_STATUS_CODE["MOVED_PERMANENTLY"] = 301] = "MOVED_PERMANENTLY";
    HTTP_STATUS_CODE[HTTP_STATUS_CODE["NOT_MODIFIED"] = 304] = "NOT_MODIFIED";
    HTTP_STATUS_CODE[HTTP_STATUS_CODE["BAD_REQUEST"] = 400] = "BAD_REQUEST";
    HTTP_STATUS_CODE[HTTP_STATUS_CODE["UNAUTHORIZED"] = 401] = "UNAUTHORIZED";
    HTTP_STATUS_CODE[HTTP_STATUS_CODE["FORBIDDEN"] = 403] = "FORBIDDEN";
    HTTP_STATUS_CODE[HTTP_STATUS_CODE["NOT_FOUND"] = 404] = "NOT_FOUND";
    HTTP_STATUS_CODE[HTTP_STATUS_CODE["INTERNAL_SERVER_ERROR"] = 500] = "INTERNAL_SERVER_ERROR";
})(HTTP_STATUS_CODE = exports.HTTP_STATUS_CODE || (exports.HTTP_STATUS_CODE = {}));
var INJECTABLE;
(function (INJECTABLE) {
    INJECTABLE[INJECTABLE["MIDDLEWARE"] = 0] = "MIDDLEWARE";
    INJECTABLE[INJECTABLE["HANDLER"] = 1] = "HANDLER";
    INJECTABLE[INJECTABLE["CUSTOM"] = 2] = "CUSTOM";
})(INJECTABLE = exports.INJECTABLE || (exports.INJECTABLE = {}));
var TRANSFER_PROTOCOLS;
(function (TRANSFER_PROTOCOLS) {
    TRANSFER_PROTOCOLS["H2"] = "h2";
    TRANSFER_PROTOCOLS["SPDY"] = "spdy/3.1";
    TRANSFER_PROTOCOLS["HTTP1"] = "http/1.1";
})(TRANSFER_PROTOCOLS = exports.TRANSFER_PROTOCOLS || (exports.TRANSFER_PROTOCOLS = {}));
var CONTENT_ENCODING_TYPES;
(function (CONTENT_ENCODING_TYPES) {
    CONTENT_ENCODING_TYPES["BROTLI"] = "br";
})(CONTENT_ENCODING_TYPES = exports.CONTENT_ENCODING_TYPES || (exports.CONTENT_ENCODING_TYPES = {}));
//# sourceMappingURL=enums.js.map