/// <reference types="node" />
import { EventEmitter } from "events";
import { IExposeConfig, IGatewayConfiguration } from "./types";
export declare class GatewayStorefrontInstance {
    events: EventEmitter;
    config: IExposeConfig | undefined;
    assetUrl: string | undefined;
    name: string;
    url: string;
    authToken?: string;
    private satisfyAmount;
    private intervalId;
    private pendingUpdate;
    constructor(gatewayConfig: IGatewayConfiguration, authToken?: string, gatewayUpdateInterval?: number);
    /**
     * Starts updating gateway by polling with the provided miliseconds
     * @param {number} pollingInterval
     */
    startUpdating(pollingInterval?: number): void;
    /**
     * Stops polling
     */
    stopUpdating(): void;
    /**
     * Fetches gateway condifuration and calls this.bind
     */
    private fetch;
    /**
     * Updates gateway configuration and if hash changed emits GATEWAY_UPDATED event
     * @param {IExposeConfig} data
     */
    private update;
    private satisfyUpdate;
    private connectWarden;
    private resetUpdateStatus;
    private shouldUpdateWarden;
}
