/// <reference types="node" />
import { GatewayBFF } from "./gatewayBFF";
import { Storefront } from "./storefront";
import { Logger } from "./logger";
import { FRAGMENT_RENDER_MODES, HTTP_METHODS, HTTP_STATUS_CODE, INJECTABLE, REPLACE_ITEM_TYPE, RESOURCE_INJECT_TYPE } from "./enums";
import { GatewayConfigurator, StorefrontConfigurator } from "./configurator";
import { Container } from "inversify";
import { RESOURCE_LOADING_TYPE, RESOURCE_TYPE } from "./lib/enums";
declare const _default: {
    StorefrontConfigurator: typeof StorefrontConfigurator;
    GatewayConfigurator: typeof GatewayConfigurator;
    Gateway: typeof GatewayBFF;
    warden: import("puzzle-warden/dist/warden").Warden;
    Storefront: typeof Storefront;
    logger: typeof Logger;
    agents: {
        httpAgent: import("http").Agent;
        httpsAgent: import("https").Agent;
    };
    ENUMS: {
        FRAGMENT_RENDER_MODES: typeof FRAGMENT_RENDER_MODES;
        RESOURCE_INJECT_TYPE: typeof RESOURCE_INJECT_TYPE;
        RESOURCE_TYPE: typeof RESOURCE_TYPE;
        RESOURCE_LOADING_TYPE: typeof RESOURCE_LOADING_TYPE;
        REPLACE_ITEM_TYPE: typeof REPLACE_ITEM_TYPE;
        HTTP_METHODS: typeof HTTP_METHODS;
        HTTP_STATUS_CODE: typeof HTTP_STATUS_CODE;
        INJECTABLE: typeof INJECTABLE;
    };
    container: Container;
};
export = _default;
