export declare enum LOG_COLORS {
    GREY = "#7f8c8d",
    GREEN = "#2ecc71",
    YELLOW = "#f39c12",
    RED = "#c0392b",
    BLUE = "#3498db"
}
export declare enum LOG_TYPES {
    INFO = "info",
    ERROR = "error",
    WARN = "warn",
    LOG = "log"
}
export declare enum EVENT {
    ON_PAGE_LOAD = 0,
    ON_FRAGMENT_RENDERED = 1,
    ON_CONFIG = 2,
    ON_DEBUG_CONFIG = 3,
    ON_VARIABLES = 4,
    ON_RENDER_START = 5
}
export declare enum TIME_LABELS {
    HTML_TRANSFER_STARTED = "html-transfer-start",
    HTML_TRANSFER_ENDED = "html-transfer-end",
    FRAGMENT_RENDER_START = "fragment-render-started-",
    FRAGMENT_RENDER_END = "fragment-render-ended-",
    FRAGMENT_MEASUREMENT = "fragment-total-",
    FRAGMENT_MEASUREMENT_RESPONSE_START_TIME = "fragment-response-start-"
}
export declare enum RESOURCE_LOADING_TYPE {
    /**
     * @description Loads resource in head. Visible in page source. Great for small dependencies.
     */
    ON_RENDER_START = 0,
    /**
     * @description Starts loading resource after fragment rendered. Not visible in page source. It is useful for fragments that should run immediately
     */
    ON_FRAGMENT_RENDER = 1,
    /**
     * @description Starts loading resource after all page fragments are visible. Great for performance
     */
    ON_PAGE_RENDER 
    /**
     * @description Starts loading resource after all assets are loaded and injected. Great for marketing scripts and 3rd party tracking tools
     */
    = 2
    /**
     * @description Starts loading resource after all assets are loaded and injected. Great for marketing scripts and 3rd party tracking tools
     */
}
export declare enum RESOURCE_TYPE {
    CSS = 0,
    JS = 1
}
