import { RESOURCE_INJECT_TYPE } from "./enums";
import { IFileResourceStorefrontDependency } from "./types";
export default class ResourceFactory {
    static singleton: boolean | ResourceFactory;
    private resources;
    constructor(enforcer: Symbol);
    static readonly instance: ResourceFactory;
    /**
     * Registers new dependency
     * @param {IFileResourceStorefrontDependency} dependency
     */
    registerDependencies(dependency: IFileResourceStorefrontDependency): void;
    /**
     * Returns dependency object
     * @param {string} dependencyName
     * @returns {IFileResourceStorefrontDependency | null}
     */
    get(dependencyName: string): IFileResourceStorefrontDependency;
    getRawContent(dependencyName: string): Promise<string>;
    /**
     * Returns dependency content
     * @param {string} dependencyName
     * @returns {string}
     */
    getDependencyContent(dependencyName: string, injectType?: RESOURCE_INJECT_TYPE | undefined): Promise<string>;
    /**
     * Checks if dependency is valid for registration
     * @param {IFileResourceStorefrontDependency} dependency
     */
    private validateDependency;
}
